Nach Proxmox 8 update -> Kernel Fehler

Smarte-Wohnung

Active Member
Jun 6, 2019
30
2
28
43
Hallo,

ich habe mein Proxmox von 7 auf 8 geupdatet. Leder startet nun mein Proxmox nicht mehr. Wenn ich einen Monitor an den Server anschließe, konnte ich Proxmox mit dem Kernel 5.X starten. Ein starten mit 6.2 ist nicht möglich.

Kann mir bitte jemand weiterhelfen?

Wenn ich per Konsole ein update machen möchte erhalte ich das:

Code:
 apt update && apt dist-upgrade -y

Hit:1 http://ftp.de.debian.org/debian bookworm InRelease
Hit:2 http://security.debian.org bookworm-security InRelease            
Hit:3 http://download.proxmox.com/debian bookworm InRelease              
Hit:4 http://ftp.de.debian.org/debian bookworm-updates InRelease
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
All packages are up to date.
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Calculating upgrade... Done
The following packages were automatically installed and are no longer required:
  pve-kernel-5.13 pve-kernel-5.13.19-6-pve pve-kernel-5.15.107-1-pve
Use 'apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
3 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up pve-kernel-6.2.16-5-pve (6.2.16-6) ...
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/dkms 6.2.16-5-pve /boot/vmlinuz-6.2.16-5-pve
dkms: running auto installation service for kernel 6.2.16-5-pve.
Sign command: /lib/modules/6.2.16-5-pve/build/scripts/sign-file
Signing key: /var/lib/dkms/mok.key
Public certificate (MOK): /var/lib/dkms/mok.pub

Building module:
Cleaning build area...(bad exit status: 2)
make -j4 KERNELRELEASE=6.2.16-5-pve ARCH=x86 all....(bad exit status: 2)
Error! Bad return status for module build on kernel: 6.2.16-5-pve (x86_64)
Consult /var/lib/dkms/pivccu/1.0.63/build/make.log for more information.
Error! One or more modules failed to install during autoinstall.
Refer to previous errors for more information.
dkms: autoinstall for kernel: 6.2.16-5-pve failed!
run-parts: /etc/kernel/postinst.d/dkms exited with return code 11
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/pve-kernel-6.2.16-5-pve.postinst line 20.
dpkg: error processing package pve-kernel-6.2.16-5-pve (--configure):
 installed pve-kernel-6.2.16-5-pve package post-installation script subprocess returned error exit status 2
dpkg: dependency problems prevent configuration of pve-kernel-6.2:
 pve-kernel-6.2 depends on pve-kernel-6.2.16-5-pve; however:
  Package pve-kernel-6.2.16-5-pve is not configured yet.

dpkg: error processing package pve-kernel-6.2 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of proxmox-ve:
 proxmox-ve depends on pve-kernel-6.2; however:
  Package pve-kernel-6.2 is not configured yet.

dpkg: error processing package proxmox-ve (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 pve-kernel-6.2.16-5-pve
 pve-kernel-6.2
 proxmox-ve
E: Sub-process /usr/bin/dpkg returned an error code (1)



/var/lib/dkms/pivccu/1.0.63/build/make.log

Code:
DKMS make.log for pivccu-1.0.63 for kernel 6.2.16-5-pve (x86_64)
Thu Jul 27 10:16:42 PM CEST 2023
make -C /lib/modules/6.2.16-5-pve/build M=/var/lib/dkms/pivccu/1.0.63/build modules
make[1]: Entering directory '/usr/src/linux-headers-6.2.16-5-pve'
  CC [M]  /var/lib/dkms/pivccu/1.0.63/build/eq3_char_loop.o
  CC [M]  /var/lib/dkms/pivccu/1.0.63/build/plat_eq3ccu2.o
  CC [M]  /var/lib/dkms/pivccu/1.0.63/build/generic_raw_uart.o
  CC [M]  /var/lib/dkms/pivccu/1.0.63/build/pl011_raw_uart.o
  CC [M]  /var/lib/dkms/pivccu/1.0.63/build/dw_apb_raw_uart.o
  CC [M]  /var/lib/dkms/pivccu/1.0.63/build/meson_raw_uart.o
  CC [M]  /var/lib/dkms/pivccu/1.0.63/build/fake_hmrf.o
/var/lib/dkms/pivccu/1.0.63/build/dw_apb_raw_uart.c: In function ‘dw_apb_raw_uart_irq_handle’:
/var/lib/dkms/pivccu/1.0.63/build/dw_apb_raw_uart.c:259:8: warning: this statement may fall through [-Wimplicit-fallthrough=]
  259 |     if (!(status & (UART_LSR_DR | UART_LSR_BI)))
      |        ^
/var/lib/dkms/pivccu/1.0.63/build/dw_apb_raw_uart.c:265:3: note: here
  265 |   case UART_IIR_RDI:
      |   ^~~~
/var/lib/dkms/pivccu/1.0.63/build/generic_raw_uart.c: In function ‘generic_raw_uart_proc_open’:
/var/lib/dkms/pivccu/1.0.63/build/generic_raw_uart.c:719:48: error: implicit declaration of function ‘PDE_DATA’; did you mean ‘NODE_DATA’? [-Werror=implicit-function-declaration]
  719 |   struct generic_raw_uart_instance *instance = PDE_DATA(inode);
      |                                                ^~~~~~~~
      |                                                NODE_DATA
/var/lib/dkms/pivccu/1.0.63/build/generic_raw_uart.c:719:48: warning: initialization of ‘struct generic_raw_uart_instance *’ from ‘int’ makes pointer from integer without a cast [-Win>
/var/lib/dkms/pivccu/1.0.63/build/generic_raw_uart.c: In function ‘generic_raw_uart_get_gpio_pin_number’:
/var/lib/dkms/pivccu/1.0.63/build/generic_raw_uart.c:751:31: error: implicit declaration of function ‘fwnode_get_named_gpiod’; did you mean ‘fwnode_get_named_child_node’? [-Werror=imp>
  751 |     struct gpio_desc *gpiod = fwnode_get_named_gpiod(fwnode, label, 0, GPIOD_ASIS, label);
      |                               ^~~~~~~~~~~~~~~~~~~~~~
      |                               fwnode_get_named_child_node
/var/lib/dkms/pivccu/1.0.63/build/generic_raw_uart.c:751:31: warning: initialization of ‘struct gpio_desc *’ from ‘int’ makes pointer from integer without a cast [-Wint-conversion]
/var/lib/dkms/pivccu/1.0.63/build/generic_raw_uart.c: At top level:
/var/lib/dkms/pivccu/1.0.63/build/generic_raw_uart.c:834:27: warning: ‘i2c_find_client’ defined but not used [-Wunused-function]
  834 | static struct i2c_client *i2c_find_client(struct i2c_adapter *adapter, int addr)
      |                           ^~~~~~~~~~~~~~~
  CC [M]  /var/lib/dkms/pivccu/1.0.63/build/rpi_rf_mod_led.o
  CC [M]  /var/lib/dkms/pivccu/1.0.63/build/dummy_rx8130.o
cc1: some warnings being treated as errors
make[2]: *** [scripts/Makefile.build:260: /var/lib/dkms/pivccu/1.0.63/build/generic_raw_uart.o] Error 1
make[2]: *** Waiting for unfinished jobs....
/var/lib/dkms/pivccu/1.0.63/build/fake_hmrf.c: In function ‘fake_hmrf_write’:
/var/lib/dkms/pivccu/1.0.63/build/fake_hmrf.c:268:1: warning: the frame size of 2080 bytes is larger than 1024 bytes [-Wframe-larger-than=]
  268 | }
      | ^
make[1]: *** [Makefile:2026: /var/lib/dkms/pivccu/1.0.63/build] Error 2
make[1]: Leaving directory '/usr/src/linux-headers-6.2.16-5-pve'
make: *** [Makefile:30: all] Error 2
 
Last edited:

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE, Proxmox Backup Server, and Proxmox Mail Gateway.
We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get yours easily in our online shop.

Buy now!